Loading...
Searching...
No Matches
RDKit::MolDraw2D_detail::DrawShapeDashedWedge Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapeDashedWedge:

## Public Member Functions

| DrawShapeDashedWedge (const std::vector< Point2D > points, const DrawColour &col1, const DrawColour &col2, bool oneLessDash=true, double lineWidth=1.0, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShapeDashedWedge (const DrawShapeDashedWedge &)=delete
| DrawShapeDashedWedge (DrawShapeDashedWedge &&)=delete
| ~DrawShapeDashedWedge ()=default
DrawShapeDashedWedge & | operator= (const DrawShapeDashedWedge &)=delete
DrawShapeDashedWedge & | operator= (DrawShapeDashedWedge &&)=delete
void | buildLines ()
void | myDraw (MolDraw2D &drawer) const override
void | scale (const Point2D &scale_factor) override
void | move (const Point2D &trans) override
void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const override
bool | doesRectClash (const StringRect &rect, double padding) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)

## Public Attributes

DrawColour | col2_
bool | oneLessDash_
std::vector< DrawColour > | lineColours_
Point2D | at1Cds_
Point2D | end1Cds_
Point2D | end2Cds_
Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 169 of file DrawShape.h.

## Constructor & Destructor Documentation

## DrawShapeDashedWedge() [1/3]

RDKit::MolDraw2D_detail::DrawShapeDashedWedge::DrawShapeDashedWedge | ( | const std::vector< Point2D > | points,
|  | const DrawColour & | col1,
|  | const DrawColour & | col2,
|  | bool | oneLessDash = `true`,
|  | double | lineWidth = `1.0`,
|  | int | atom1 = `-1`,
|  | int | atom2 = `-1`,
|  | int | bond = `-1`
| ) |  |

## DrawShapeDashedWedge() [2/3]

RDKit::MolDraw2D_detail::DrawShapeDashedWedge::DrawShapeDashedWedge | ( | const DrawShapeDashedWedge & |  | ) |

delete

## DrawShapeDashedWedge() [3/3]

RDKit::MolDraw2D_detail::DrawShapeDashedWedge::DrawShapeDashedWedge | ( | DrawShapeDashedWedge && |  | ) |

delete

## ~DrawShapeDashedWedge()

RDKit::MolDraw2D_detail::DrawShapeDashedWedge::~DrawShapeDashedWedge | ( |  | ) |

default

## Member Function Documentation

## buildLines()

void RDKit::MolDraw2D_detail::DrawShapeDashedWedge::buildLines | ( |  | ) |

## doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapeDashedWedge::doesRectClash | ( | const StringRect & | rect,
|  | double | padding
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## findExtremes()

void RDKit::MolDraw2D_detail::DrawShapeDashedWedge::findExtremes | ( | double & | xmin,
|  | double & | xmax,
|  | double & | ymin,
|  | double & | ymax
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## move()

void RDKit::MolDraw2D_detail::DrawShapeDashedWedge::move | ( | const Point2D & | trans | ) |

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## myDraw()

void RDKit::MolDraw2D_detail::DrawShapeDashedWedge::myDraw | ( | MolDraw2D & | drawer | ) | const

override virtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## operator=() [1/2]

DrawShapeDashedWedge & RDKit::MolDraw2D_detail::DrawShapeDashedWedge::operator= | ( | const DrawShapeDashedWedge & |  | ) |

delete

## operator=() [2/2]

DrawShapeDashedWedge & RDKit::MolDraw2D_detail::DrawShapeDashedWedge::operator= | ( | DrawShapeDashedWedge && |  | ) |

delete

## scale()

void RDKit::MolDraw2D_detail::DrawShapeDashedWedge::scale | ( | const Point2D & | scale_factor | ) |

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## Member Data Documentation

## at1Cds_

Point2D RDKit::MolDraw2D_detail::DrawShapeDashedWedge::at1Cds_

Definition at line 197 of file DrawShape.h.

## col2_

DrawColour RDKit::MolDraw2D_detail::DrawShapeDashedWedge::col2_

Definition at line 192 of file DrawShape.h.

## end1Cds_

Point2D RDKit::MolDraw2D_detail::DrawShapeDashedWedge::end1Cds_

Definition at line 197 of file DrawShape.h.

## end2Cds_

Point2D RDKit::MolDraw2D_detail::DrawShapeDashedWedge::end2Cds_

Definition at line 197 of file DrawShape.h.

## lineColours_

std::vector<DrawColour> RDKit::MolDraw2D_detail::DrawShapeDashedWedge::lineColours_

Definition at line 194 of file DrawShape.h.

## oneLessDash_

bool RDKit::MolDraw2D_detail::DrawShapeDashedWedge::oneLessDash_

Definition at line 193 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h